<?php

class ShowFaccionPage extends AbstractGamePage
{
	public static $requireModule = MODULE_FACCIONES;

	function __construct() 
	{
		parent::__construct();
	}

	public function UpdateFaccion()
	{
		global $PLANET, $USER, $reslist, $resource, $pricelist, $LNG;

		$Element	  = HTTP::_GP('linkin', 0);

		$costResources = BuildFunctions::getElementPrice($USER, $PLANET, $Element);
	    

		if (!BuildFunctions::isTechnologieAccessible($USER, $PLANET, $Element) 
			|| !BuildFunctions::isElementBuyable($USER, $PLANET, $Element, $costResources) 
			|| $pricelist[$Element]['max'] <= $USER[$resource[$Element]]) {
			return;
		}
 
        $amount = 1;
        $USER[$resource[$Element]]	+= $amount;
		
        $href = 'game.php?page=Faccion'; 
        require_once('includes/subclasses/subclass.UpdateMaxLvl.php');
        require_once('includes/subclasses/subclass.UpdateResAmount.php');
        
        $mode = 'faccion';
        require 'includes/subclasses/subclass.UpdateSqlChoice.php';
        
		$this->redirectTo('game.php?page=Faccion');	
	}

	public function NewFaccion()
	{
		global $PLANET, $USER, $reslist, $resource, $pricelist, $LNG;

		$Element	  = HTTP::_GP('linkin', 0);
 
        $amount = 1;
        $USER[$resource[$Element]]	+= $amount;
        
        $mode = 'faccion';
        require 'includes/subclasses/subclass.UpdateSqlChoice.php';
        
		$this->redirectTo('game.php?page=Faccion');	
	}
	
	public function show()
	{
		global $USER, $PLANET, $resource, $reslist, $LNG, $pricelist;
		
		if ($USER['faccion'] == FACCION_DEFAULT) {
			$mode = "NewFaccion";
		} else {
			$mode = "UpdateFaccion";
		}		
		
		$FaccionList	= array();
		
			foreach($reslist['faccion'] as $Element)
			{
                
				$costResources		= BuildFunctions::getElementPrice($USER, $PLANET, $Element);
				$buyable			= BuildFunctions::isElementBuyable($USER, $PLANET, $Element, $costResources);
				$costOverflow		= BuildFunctions::getRestPrice($USER, $PLANET, $Element, $costResources);
				$elementBonus		= BuildFunctions::getAvalibleBonus($Element);
				
				$FaccionList[$Element]	= array(
					'level'				=> $USER[$resource[$Element]],
					'maxLevel'			=> $pricelist[$Element]['max'],
					'costResources'	    => $costResources,
					'buyable'			=> $buyable,
					'costOverflow'		=> $costOverflow,
					'elementBonus'		=> $elementBonus,
				);
			}
		
		$this->assign(array(	
			'FaccionList'		=> $FaccionList,
            'name'              => $USER['faccion'],
            'mode'              => $mode,
		));
		
		$this->display('page.faccion.default.tpl');
	}
}